Bug 476926 - Review Request: tcl-tclxml - XML parsing utilities for Tcl
Review Request: tcl-tclxml - XML parsing utilities for Tcl
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 20:27 EST by Wart
Modified: 2008-12-22 11:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-22 11:10:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wart 2008-12-17 20:27:36 EST
Spec URL: http://www.kobold.org/~wart/fedora/queue/tcl-tclxml.spec
SRPM URL: http://www.kobold.org/~wart/fedora/queue/tcl-tclxml-3.2-1.fc9.src.rpm
Description: 
This package is a version bump, rename (to conform with Tcl packaging guidelines), and reorganization of the existing tclxml and tcldom packages.  With this new upstream release, tclxml, tcldom, and tclxslt have all been merged into a single tclxml tarball.  The shared libraries have also been merged, so it is no longer possible to keep the tclxml and tcldom packages separate.

This update will be for F11 only.  As far as I can tell, nothing depends on the Obsolete *-libxml and *-expat packages, so they should not need to be listed in a separate Provides:

Since this involves some major changes to the spec file, I am requesting a new package review.
Comment 1 Marcela Mašláňová 2008-12-18 02:45:14 EST
OK source files match upstream: 
OK package meets naming and versioning guidelines.
OK specfile is properly named, is cleanly written and uses macros consistently.
OK dist tag is present.
OK build root is correct.
OK license field BSD matches the actual license.
OK license is open source-compatible.
OK latest version is being packaged.
OK BuildRequires are proper.
OK %clean is present.
OK package builds in mock (Rawhide/x86_64).
OK debuginfo package looks complete.
OK rpmlint is silent.
tcl-tclxml.x86_64: E: explicit-lib-dependency tcllib
tcl-tclxml.x86_64: W: obsolete-not-provided tclxml-libxml2
tcl-tclxml.x86_64: W: obsolete-not-provided tclxml-expat
tcl-tclxml.x86_64: W: obsolete-not-provided tcldom-expat
tcl-tclxml.x86_64: W: obsolete-not-provided tcldom-libxml2
devel:
tcl-tclxml-devel.x86_64: W: no-documentation
tcl-tclxml-devel.x86_64: W: spurious-executable-perm /usr/lib64/tcl8.5/tclxml-3.2/libTclxmlstub3.2.a
gui:
tcl-tclxml-gui.x86_64: W: no-documentation
OK final provides and requires look sane.
OK no shared libraries are added to the regular linker search paths.
OK owns the directories it creates.
OK no duplicates in %files.
OK file permissions are appropriate.
OK no scriptlets present.
OK code, not content.
OK documentation is small, so no -docs subpackage is necessary.
OK %docs are not necessary for the proper functioning of the package.
OK no headers.
OK no pkgconfig files.
OK no libtool .la droppings.
Comment 2 Marcela Mašláňová 2008-12-18 03:34:47 EST
The provides probably won't be needed as you said. I run: 
repoquery --whatrequires --alldeps tclxml-expat and no other dependencies were found.

What about the permission in devel package? Also is it the dependency on tcllib necessary? Here is build in mock without tcllib
http://koji.fedoraproject.org/koji/taskinfo?taskID=1005993
Comment 3 Wart 2008-12-18 19:04:42 EST
(In reply to comment #2)
> What about the permission in devel package? Also is it the dependency on tcllib
> necessary? Here is build in mock without tcllib
> http://koji.fedoraproject.org/koji/taskinfo?taskID=1005993

tcllib is a runtime dependency, not a buildtime dependency (hence the use of Requires: as opposed to BuildRequires:).  From the tclxml readme file:
"In order for the Tcl-only parser to resolve external entities, the tcllib package must be installed."

Updated package that fixes the stub library permissions:

http://www.kobold.org/~wart/fedora/queue/tcl-tclxml.spec
http://www.kobold.org/~wart/fedora/queue/tcl-tclxml-3.2-2.fc11.src.rpm
Comment 4 Marcela Mašláňová 2008-12-19 03:25:03 EST
I'm sorry I read libtcl instead of libtcl. In this case everything is ok.

APPROVED
Comment 5 Wart 2008-12-19 11:07:48 EST
New Package CVS Request
=======================
Package Name: tcl-tclxml
Short Description: XML parsing utilities for Tcl
Owners: wart
Branches: devel
InitialCC:
Comment 6 Kevin Fenzi 2008-12-20 23:10:02 EST
cvs done.
Comment 7 Wart 2008-12-22 11:10:12 EST
Imported and built.  Many thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.